// import custom theme
@import 'bootstrap_theme';

// import full bootstrap framework
@import "bootstrap/scss/bootstrap.scss";


// Import Piveau modules
@import "@piveau/piveau-hub-ui-modules/dist/scss/main.scss";

/* Vanilla sub-navigation START */
.sub-navigation {
  background-color: white;
  box-shadow: 0 2px 4px -4px grey;
  min-height: 56px;
}
.navigation-margin {
  //or change 60px margin in header to 0px
  margin-top: -60px;
}

.title {
  font-size: 1.5rem;
  font-family: inherit;
  font-weight: 500;
  line-height: 1.2;
  color: inherit;
}

.navbar-toggler-icon {
    font-size: 0.8em;
}
/* Vanilla sub-navigation END */

.distribution-dropdown-download-one-url {
  margin-top: -0.35rem;
  text-align: left;
}

body {
  -ms-overflow-style: none; /* for Internet Explorer, Edge */
  scrollbar-width: none; /* for Firefox */
  overflow-y: scroll;
}

body::-webkit-scrollbar {
  display: none; /* for Chrome, Safari, and Opera */
}

.circle {
  width: 40px;
  height: 40px;
  margin: 0 auto;
  padding: 20px 0;
  font-size: 12px;
  line-height: 1px;
  border-radius: 50%;
  background-color: #595959;
  &[type="HTML"] {
    background-color: #285C76;
  }
  &[type="JSON"] {
    background-color: var(--dark-orange);
  }
  &[type="XML"] {
    background-color: #8F4300;
  }
  &[type="TXT"] {
    background-color: #2B5E73;
  }
  &[type="CSV"] {
    background-color: var(--badge-green);
  }
  &[type="XLS"], &[type="Excel XLSX"], &[type="Excel XLS"] {
    background-color: #1A6537;
  }
  &[type="ZIP"] {
    background-color: #252525;
  }
  &[type="API"] {
    background-color: #923560;
  }
  &[type="PDF"] {
    background-color: #B30519;
  }
  &[type="SHP"] {
    background-color: var(--badge-black);
  }
  &[type="RDF"],
  &[type="NQUAD"],
  &[type="NTRIPLES"],
  &[type="TURTLE"] {
    background-color: #0b4498;
  }
}

.dsd-item {
  @extend .col-12, .col-lg-11, .offset-lg-1;
}

.dsd-feature {
  @extend .d-flex, .flex-wrap, .mt-5;
}

.dsd-feature-title {
  font-size: 2rem;
  line-height: 1.2;
  margin-bottom: 0.5rem;
}

@media screen and (max-width: 767.5px) {

  .dataset-info-box-body{
    padding: 0;
  }
  .ecl-select__icon-shape{
    fill: #0b4498 !important;
  }
  .ecl-select__icon{

    background-color: #fff !important;
  }
  .page-title{
    color: var(--primary) !important;
  }
}

@media screen and (max-width: 991px) { // less than lg
  .dsd-nav-button button {
    min-width: 200px !important;
    margin-bottom: 8px !important;
  }
  .dsd-features {
    .row {

    margin-left: 0;
    margin-right: 0;
    }
  }
}

.distribution-action button:focus{
  border: none !important;
  outline: none !important;
  box-shadow: none !important;
  }
.dropdownMenu{
    border: none !important;

  }

.mt-4 {
  margin-top: 30px !important;
}

.mb-4 {
  margin-bottom: 30px !important;
}

#navbar-toggle {
  margin-bottom: 0 !important;
}

// import empty theme after styles are loaded
@import "empty_theme";
@import "datasets_catalogs";
